# Uses of Interface
org.eclipse.jdt.core.IField

Packages that use IField
Package
Description
org.eclipse.jdt.core
The Java model is the set of classes that model the objects associated with creating, editing, and building a Java program.
org.eclipse.jdt.ui
Application programming interfaces for interaction with the Eclipse Java User Interface.
org.eclipse.jdt.ui.actions
Application programming interfaces for Eclipse Java User Interface specific actions.
org.eclipse.jdt.ui.refactoring
Application programming interfaces for rename refactorings.

## Uses of IField in org.eclipse.jdt.core

Methods in org.eclipse.jdt.core that return IField
Modifier and Type
Method
Description
`IField`
IType.`createField(String contents, IJavaElement sibling, boolean force, org.eclipse.core.runtime.IProgressMonitor monitor)`
Creates and returns a field in this type with the given contents.
`IField`
IType.`getField(String name)`
Returns the field with the specified name in this type (for example, `"bar"`).
`IField[]`
IType.`getFields()`
Returns the fields declared by this type in the order in which they appear in the source or class file.
`IField`
IType.`getRecordComponent(String name)`
Returns the record component with the specified name in this type (for example, `"bar"`).
`default IField[]`
IType.`getRecordComponents()`
Returns the record components declared by this record class, or an empty array if this is not a record.

## Uses of IField in org.eclipse.jdt.ui

Methods in org.eclipse.jdt.ui with parameters of type IField
Modifier and Type
Method
Description
`static void`
JavaElementLabels.`getFieldLabel(IField field, long flags, StringBuffer buf)`
Appends the label for a field to a `StringBuffer`.
`static void`
JavaElementLabels.`getFieldLabel(IField field, long flags, org.eclipse.jface.viewers.StyledString result)`
Appends the style label for a field to a `StyledString`.

## Uses of IField in org.eclipse.jdt.ui.actions

Methods in org.eclipse.jdt.ui.actions with parameters of type IField
Modifier and Type
Method
Description
`void`
SelfEncapsulateFieldAction.`run(IField field)`

## Uses of IField in org.eclipse.jdt.ui.refactoring

Methods in org.eclipse.jdt.ui.refactoring with parameters of type IField
Modifier and Type
Method
Description
`static RenameSupport`
RenameSupport.`create(IField field, String newName, int flags)`
Creates a new rename support for the given `IField`.